Page MenuHomePhabricator

Audit jenkins-bot@wikimedia.org usage and migrate to a better system
Closed, ResolvedPublic

Description

jenkins-bot@wikimedia.org is historical and @hashar is the sole member. It was first intended for Jenkins and is also used for cron MAILTO or zuul.

@Dzahn mentioned we should use a Google group managed by OIT.

Need more than just me.

Event Timeline

hashar created this task.Apr 10 2019, 9:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2019, 9:30 PM

@bcampbell Could you create jenkins-bot@wikimedia.org as a Google group and add Hashar? (and a second placeholder person because i heard you need a minimum of 2 members). Thank you!

@Dzahn I created jenkins-bot@ as a Google Group and added @hashar as the sole owner and member (don't need a minimum of 2 anymore). The permissions are set to default, so @hashar, please navigate to groups.google.com to change settings, as necessary.

Dzahn added a comment.EditedApr 11 2019, 11:01 PM

oh cool, that was quick. thank you very much @bcampbell

@hashar i'll delete the current alias but wait until tomorrow so we can coordinate it

Dzahn triaged this task as Normal priority.Apr 11 2019, 11:02 PM

I see it at https://groups.google.com/a/wikimedia.org/d/forum/jenkins-bot thank you.

@Dzahn lets drop the alias indeed. If you could mail it and verify something is received that would be nice :]

Dzahn added a comment.Apr 12 2019, 5:54 PM

@hashar Deleted.

before:

[mx1001:~] $ sudo exim4 -bt jenkins-bot@wikimedia.org
...
    <-- jenkins-bot@wikimedia.org
  router = dnslookup, transport = remote_smtp_signed
  host mx1.free.fr [212.27.48.7]  MX=10
...

after:

[mx1001:~] $ sudo exim4 -bt jenkins-bot@wikimedia.org
jenkins-bot@wikimedia.org
  router = ldap_group, transport = remote_smtp
  host aspmx.l.google.com [173.194.66.27]

I sent a mail to it to confirm.

Dzahn added a comment.Apr 12 2019, 6:07 PM

@hashar i see on mx1001 in exim logs that contint1001 has been sending mail to jenkins-bot@ as well.

Thanks all. Just another quick reminder to check the Group settings if you haven't already. They're set to the default.

Dzahn assigned this task to hashar.Apr 12 2019, 8:58 PM
hashar closed this task as Resolved.EditedApr 12 2019, 9:56 PM

That worked though that is routed to my wikimedia.org email instead of the free.fr email I use for well everything ;-] But I will survive that.

Thank you!